Name:           tasks
Version:        0.11
Release:        1%{?dist}
Summary:        Tasks to-do list

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://pimlico-project.org/tasks.html
Source0:        http://pimlico-project.org/sources/tasks/tasks-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  evolution-data-server-devel >= 1.2.0
BuildRequires:  desktop-file-utils gtk2-devel
BuildRequires:  gettext intltool libsexy-devel


%description
Tasks is a simple to do list application that uses libecal, part of Embedded
Evolution Data Server.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
desktop-file-install --vendor fedora --delete-original  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi


%postun
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/tasks.png
%{_datadir}/icons/hicolor/*/apps/tasks.svg
%{_bindir}/tasks
%{_datadir}/tasks


%changelog
* Mon Aug 13 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.11-1
- New upstream release

* Thu Aug 02 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.10-2
- License tag change per Licensing Guidelines

* Thu Jul 19 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.10-1
- New upstream release

* Tue Jun 26 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.9-1
- New upstream release

* Thu Jun 14 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.8-1
- New upstream release

* Tue May 29 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.7-2
- Update URLs

* Mon May 28 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.7-1
- New upstream release

* Sat May 19 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.5-1
- New upstream release
- Drop license patch
- Desktop file fixed upstream, don't --remove-category anymore 

* Fri Apr 20 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.4-4
- Bump release to fix up CVS tags

* Wed Apr 11 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.4-3
- Preserve timestamps on install
- Fix /usr/share/tasks/tasks-ui.xml files listing twice
- Patch Help -> About -> License to fix name

* Sat Mar 17 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.4-2
- own /usr/share/tasks

* Fri Mar 16 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.4-1
- new upstream version

* Wed Mar 07 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.3-3
- only drop Application category from .desktop

* Wed Mar 07 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.3-2
- remove spurious update-desktop-database
- use desktop-file-install --remove-category rather than patch .desktop
- use find_lang properly

* Tue Mar 06 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.3-1
- New upstream version
- Add BuildRequires on gettext, intltool for i18n support
- use setup defaults for -n
- zero-length TODO in this release; remove from doc

* Mon Mar 05 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.2-2
- Remove deprecated X-Fedora desktop category
- Patch .desktop file to pick correct fd.o category

* Fri Mar 02 2007 Dan Young <dyoung@mesd.k12.or.us> - 0.2-1
- Initial spec file adapted from contacts
